# Uses of Enum Class
org.apache.lucene.util.fst.FST.INPUT_TYPE

Packages that use FST.INPUT_TYPE
Package
Description
org.apache.lucene.util.fst
Finite state transducers

- ## Uses of FST.INPUT_TYPE in org.apache.lucene.util.fst

  Methods in org.apache.lucene.util.fst that return FST.INPUT_TYPE
  Modifier and Type
  Method
  Description
  `static FST.INPUT_TYPE`
  FST.INPUT_TYPE.`valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static FST.INPUT_TYPE[]`
  FST.INPUT_TYPE.`values()`
  Returns an array containing the constants of this enum class, in the order they are declared.
  Constructors in org.apache.lucene.util.fst with parameters of type FST.INPUT_TYPE
  Modifier
  Constructor
  Description
  ``
  `Builder(FST.INPUT_TYPE inputType, Outputs<T> outputs)`
  ``
  `FSTMetadata(FST.INPUT_TYPE inputType, Outputs<T> outputs, T emptyOutput, long startNode, int version, long numBytes)`